package com.inkasso.factoring.purchManagement.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class CPushContractInfoVo{
    /**
     * 合同编号
     */
    private String contractNumber;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 供应商企业信息ID
     */
    private Long cSupplierInfoId;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 需方公司名称
     */
    private String buyerName;

    /**
     * 采购合同期限
     */
    private String contractPeriod;

    /**
     * 回购方式（先息后本，仅本金）
     */
    private Long repurchMethod;

    /**
     * 合同约定金额类型（固定金额、适时网价）
     */
    private Long contractPlanAmountType;

    /**
     * 合同约定金额
     */
    private BigDecimal contractPlanAmount;

    /**
     * 采购合同管理Id
     */
    private Long purchContractManagementId;

    /**
     * 采购合同id
     */
    private String contractId;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 合同状态 已创建，已录入，已驳回，已审核，已签署，签署已审核，已变更，已驳回（变更），已审核（变更），已签署（变更），签署已审核（变更）
     */
    private Long contractStatus;

    /**
     * 是否发生变更标识、默认为否
     */
    private Boolean isChange;

    /**
     * 项目业主方信息id
     */
    private Long cEnterpriseId;
    /**
     * 公司名称
     */
    private String corporateName;

    /**
     * 贸易平台Id
     */
    private Long tradingPlatformId;
    //平台名称
    private String platformName;

    private Long projectId;
    private String projectName;

    /**
     * 纳税识别号
     */
    private String socialCreditCode;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String phoneNumber;

    /**
     * 开户行名称
     */
    private String accountBankName;

    /**
     * 开户行账号
     */
    private String accountNumber;

    /**
     * 经办人（供应商）
     */
    private String operatorSupplier;
    /**
     * 验收经办人(核心企业)
     **/
    private String checkOperator;
    /**
     * 结算经办人(核心企业) 供结算单
     **/
    private String settlementOperator;

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getContractPeriod() {
        return contractPeriod;
    }

    public void setContractPeriod(String contractPeriod) {
        this.contractPeriod = contractPeriod;
    }

    public Long getRepurchMethod() {
        return repurchMethod;
    }

    public void setRepurchMethod(Long repurchMethod) {
        this.repurchMethod = repurchMethod;
    }

    public Long getContractPlanAmountType() {
        return contractPlanAmountType;
    }

    public void setContractPlanAmountType(Long contractPlanAmountType) {
        this.contractPlanAmountType = contractPlanAmountType;
    }

    public BigDecimal getContractPlanAmount() {
        return contractPlanAmount;
    }

    public void setContractPlanAmount(BigDecimal contractPlanAmount) {
        this.contractPlanAmount = contractPlanAmount;
    }

    public Long getPurchContractManagementId() {
        return purchContractManagementId;
    }

    public void setPurchContractManagementId(Long purchContractManagementId) {
        this.purchContractManagementId = purchContractManagementId;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(Long contractStatus) {
        this.contractStatus = contractStatus;
    }
    public Boolean getChange() {
        return isChange;
    }

    public void setChange(Boolean isChange) {
        this.isChange = isChange;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }

    public String getCorporateName() {
        return corporateName;
    }

    public void setCorporateName(String corporateName) {
        this.corporateName = corporateName;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getOperatorSupplier() {
        return operatorSupplier;
    }

    public void setOperatorSupplier(String operatorSupplier) {
        this.operatorSupplier = operatorSupplier;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getAccountBankName() {
        return accountBankName;
    }

    public void setAccountBankName(String accountBankName) {
        this.accountBankName = accountBankName;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public String getSettlementOperator() {
        return settlementOperator;
    }

    public void setSettlementOperator(String settlementOperator) {
        this.settlementOperator = settlementOperator;
    }

    public String getCheckOperator() {
        return checkOperator;
    }

    public void setCheckOperator(String checkOperator) {
        this.checkOperator = checkOperator;
    }
}
